<template>    
    <div class="item" 
    v-bind:class="{'is-completed':item.completed}"
    >
        <p id="content">
            <span class="information"> {{item.product}} </span> |
            <span class="information"> {{item.category}} </span> |
            <span class="information"> {{item.price}} </span> |
            <span class="information"> {{item.createdAt.toLocaleDateString("de-DE")}} <button class="delete" v-on:click="$emit('del-item', item._id)">X</button></span>
        </p>
    </div>    
</template>

<script>
    export default {
        name: "Item",
        props: ["item"]
    }

    // this must be added to the div.item 
    // v-on:dblclick="$emit('del-item', item._id)"
</script>

<style scoped>
    .item {
        background: #f4f4f4;
        padding: 10px;
        border-bottom: 1px #ccc dotted;
    }

    .is-completed {
        text-decoration: line-through;
    }


    p#content {
        display: flex;
    }

    .information{
        flex: 10;
        padding: 5px;
    }

    button.delete{
        color: white;
        background-color: red;
        border-radius: 5px;
        float: right;
        margin: 5px;
    }
</style>

